Subject: Image::Size 2.901 uploaded to PAUSE
From: [email-masked] (Randy J. Ray)
Date: 11 Mar 1999 18:32:22 GMT
Newsgroups: comp.lang.perl.announce,comp.lang.perl.modules

(I originally released this package as 2.10, not realizing that CPAN uses
direct numerical comparisons, and thus 2.10 < 2.9).

Version 2.901 of Image::Size has been uploaded to PAUSE, and will propagate
to all CPAN sites over the next few days.

To build and install, you will need perl 5.002 or later, and sufficient
access to install an extension.

Summary of Changes in 2.901:

* Use of the Devel::Modlist package showed that my usage of IO::File pulled
  in a lot of overhead (which I knew, but this meant I couldn't ignore it
  any longer). Pulled out all IO::File stuff, use the Symbol package instead
  for anonymous GLOBs. Also, the calling form that allows an open filehandle
  be passed in is no longer so picky that it be blessed into IO::File. It
  does have to be a hard reference, though. Symbolic refs still look like
  filenames.

* While doing the above, I eliminated the last of the strict-refs conflicts.
  Prior to now, the package ran under strict subs and vars, but not refs. It
  is now fully strict-clean.

>From the README file for 2.901:

Image::Size is a library based on the image-sizing code in the wwwimagesize
script, a tool that analyzes HTML files and adds HEIGHT and WIDTH tags to
IMG directives. Image::Size has generalized that code to return a raw (X, Y)
pair, and included wrappers to pre-format that output into either HTML or a
set of attribute pairs suitable for the CGI.pm library by Lincoln Stein.
Currently, Image::Size can size images in XPM, XBM, GIF, JPEG, TIFF, PNG and
the PPM family of formats (PPM/PGM/PBM).

I did this because my old WWW server generated a lot of documents on demand
rather than keeping them in static files. These documents not only used
directional icons and buttons, but other graphics to annotate and highlight
sections of the text. Without size attributes, browsers cannot render the
text of a page until the image data is loaded and the size known for layout.
This library enables scripts to size their images at run-time and include
that as part of the generated HTML. Or for any other utility that uses and
manipulates graphics. The idea of the basic interface + wrappers is to not
limit the programmer to a certain data format.

Please send any reports of problems or bugs to [email-masked].

This package is copyright (c) 1998 by Randy Ray ([email-masked]) and is
made available to the Perl public under terms of the Artistic License used to
cover Perl itself. See the file Artistic in the distribution  of Perl 5.002 or
later for details of copy and distribution terms.

Perl module interface by Randy J. Ray ([email-masked]), original
image-sizing code by Alex Knowles ([email-masked]) and Andrew Tong
([email-masked]), used with their joint permission.

Some bug fixes submitted by Bernd Leibing <[email-masked]>.
PPM/PGM/PBM sizing code contributed by Carsten Dominik
<[email-masked]>. Tom Metro <[email-masked]> re-wrote the JPG
and PNG code, and also provided a PNG image for the test suite. Dan Klein
<[email-masked]> contributed a re-write of the GIF code. Cloyce Spradling
<[email-masked]> contributed the TIFF sizing code and test images.
A fix for reading binary data on PC-ish operating systems was contributed by
Silas Dunsmore <[email-masked]>. Aldo Calpini <[email-masked]>
sent in code that was easily adapted to support BMP images (Windows bitmaps).
Fix for a recurring problem with GIF87a files contributed by Matthias Schmitt
<[email-masked]>. Fix for problems with PPM formats on some Win32
versions was contributed by Randy Kobes <[email-masked]>.

-- 
"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
Randy J. Ray                                                    [email-masked]
Campbell, CA                                                      [email-masked]
<A HREF="http://www.svsm.org">Silicon Valley Scale Modelers</A>